COOKTIME(1)

NAME
cooktime - set file times

SYNOPSIS
cooktime [ option... ] filename...
cooktime -Help
cooktime -VERSion

DESCRIPTION
The cooktime program is used to set the modified time or access time of a file. This can be used to defend against unwanted logical dependencies when making "minor" changes to files.

If no option is specified, the default action is as if "-Modify now" was specified.

OPTIONS
The following options are understood.

-Access date
    This option may be used to set the last-access time of the files. The date is relatively free-format; rember to use quotes to insulate spaces from the shell.

-Modify date
    This option may be used to set the last-modify time of the files. The date is relatively free-format; rember to use quotes to insulate spaces from the shell.

-Report
    When use alone, produces a listing of access times and modify times for the named files. When used with -Access or -Modify, produces a listing of the changes made.

-Help
    Give some information on how to use the cooktime command.

Any other option will generate a diagnostic error.

All options may be abbreviated; the abbreviation is documented as the upper case letters, all lower case letters and underscores (_) are optional. You must use consecutive sequences of optional letters.

All options are case insensitive, you may type them in upper case or lower case or a combination of both, case is not important.

For example: the arguments "-help", "-HEL" and "-h" are all interpreted to mean the -Help option. The argument "-hlp" will not be understood, because consecutive optional characters were not supplied.

Options and other command line arguments may be mixed arbitrarily on the command line.

The GNU long option names are understood. Since all option names for cooktime are long, this means ignoring the extra leading '-'. The "--option=value" convention is also understood.

EXIT STATUS
The cooktime command will exit with a status of 1 on any error. The cooktime command will only exit with a status of 0 if there are no errors.

COPYRIGHT
cooktime version 2.21
Copyright (C) 1988, 1989, 1990, 1991, 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000, 20 Peter Miller;
All rights reserved.

The cooktime program comes with ABSOLUTELY NO WARRANTY; for details use the 'cooktime -VERSion License' command. This is free software and you are welcome to redistribute it under certain conditions; for details use the 'cooktime -VERSion License' command.

AUTHOR
Peter Miller | E-Mail: | millerp@canb.auug.org.au
/\/\* | WWW: | http://www.canb.auug.org.au/~millerp/